Package Details: ruby-rr 1.2.1-1

Git Clone URL: https://aur.archlinux.org/ruby-rr.git (read-only, click to copy)
Package Base: ruby-rr
Description: RR is a test double framework that features a rich selection of double techniques and a terse syntax
Upstream URL: https://github.com/rr/rr
Licenses: MIT
Submitter: bastelfreak
Maintainer: bastelfreak
Last Packager: bastelfreak
Votes: 0
Popularity: 0.000000
First Submitted: 2020-01-05 13:01
Last Updated: 2020-01-05 13:01

Latest Comments

nipsky commented on 2020-02-15 10:07

@dviktor Thx, it worked! Seems I was missing that one for some reason.

dviktor commented on 2020-02-15 10:04

@nipsky, here is installation order: ruby-rr-bootstrap -> ruby-rest-unit-rr -> ruby-rr

nipsky commented on 2020-02-15 09:59

@dviktor Thanks, I tried this, but ruby-test-unit-rr in turn tries to install ruby-rr first

dviktor commented on 2020-02-15 09:54

@nipsky you should install ruby-test-unit-rr first

nipsky commented on 2020-02-15 09:46

I’m having trouble installing this one:

==> Starting build()...
rr 1.2.1 built to pkg/rr-1.2.1.gem.
==> Starting check()...
/usr/bin/ruby test/run-test.rb
Traceback (most recent call last):
    2: from test/run-test.rb:12:in `<main>'
    1: from /usr/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require'
/usr/lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:92:in `require': cannot load such file -- test/unit/rr (LoadError)
rake aborted!
Command failed with status (1): [/usr/bin/ruby test/run-test.rb...]
/mnt/Daten/tmp/makepkg/ruby-rr/src/rr-1.2.1/Rakefile:30:in `block in <top (required)>'
Tasks: TOP => test
(See full trace by running task with --trace)
==> ERROR: A failure occurred in check().
    Aborting...

Command 'makepkg --force' failed to execute.

Can't build 'ruby-rr'.

dviktor commented on 2020-01-18 12:52

Circular dependency on ruby-test-unit-rr